Bug 239609 - databases/pg_partman: Unbreak build with PostgreSQL 11+
Summary: databases/pg_partman: Unbreak build with PostgreSQL 11+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks: 239514
  Show dependency treegraph
 
Reported: 2019-08-03 08:37 UTC by Tobias Kortkamp
Modified: 2019-08-17 19:43 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
pg_partman.diff (1.33 KB, patch)
2019-08-03 08:37 UTC, Tobias Kortkamp
tobik: maintainer-approval? (lacey.leanne)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-08-03 08:37:50 UTC
Created attachment 206230 [details]
pg_partman.diff

This is with DEFAULT_VERSIONS+=pgsql=11 in make.conf

=======================<phase: package        >============================
===>  Building package for pg_partman-4.0.0_1
pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/partition_data.py:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/reapply_constraints.py:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/reapply_foreign_keys.py:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/undo_partition.py:No such file or directory
*** Error code 1

http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/pg_partman-4.0.0_1.log

With PostgreSQL 11+ some scripts are apparently only installed when they are
common to all PG versions.  Exclude them in case we are building with PG11+.

Is this ok?
Comment 1 commit-hook freebsd_committer 2019-08-17 19:43:49 UTC
A commit references this bug:

Author: tobik
Date: Sat Aug 17 19:43:08 UTC 2019
New revision: 509164
URL: https://svnweb.freebsd.org/changeset/ports/509164

Log:
  databases/pg_partman: Unbreak build with PostgreSQL 11+

  =======================<phase: package        >============================
  ===>  Building package for pg_partman-4.0.0_1
  pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/partition_data.py:No such file or directory
  pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/reapply_constraints.py:No such file or directory
  pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/reapply_foreign_keys.py:No such file or directory
  pkg-static: Unable to access file /wrkdirs/usr/ports/databases/pg_partman/work/stage/usr/local/bin/undo_partition.py:No such file or directory
  *** Error code 1

  http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/pg_partman-4.0.0_1.log

  With PostgreSQL 11+ some scripts are only installed when they are
  common to all PG versions per the Makefile.  Exclude them from the
  plist in case we are building with PG11+.

  PR:		239609
  Approved by:	lacey.leanne@gmail.com (maintainer timeout, 2 weeks)

Changes:
  head/databases/pg_partman/Makefile
  head/databases/pg_partman/pkg-plist